import IabConstants from './IabConstants';

class IabResult {

    constructor(jsonObject) {
        this._Response = jsonObject.mResponse;
        this._Message = jsonObject.mMessage;
    }


    get Response() {
        return this._Response;
    }

    get Message() {
        return this._Message;
    }

    isSuccess() {
        return this._Response === IabConstants.BILLING_RESPONSE_RESULT_OK;
    }

    isFailure() {
        return !this.isSuccess();
    }

    toString() {
        return "IabResult: " + this._Messages();
    }

}

module.exports = IabResult;