import SkuDetail from './SkuDetails';
import Purchase from './Purchase';

class Inventory {

    constructor(jsonObject) {

        this.mSkuMap = jsonObject.mSkuMap;
        if (this.mPurchaseMap !== undefined) {
            Object.keys(this.mSkuMap).map(function (key, index) {
                let skuDetail = new SkuDetail(this.mSkuMap[key]);
                this.mSkuMap[key] = skuDetail;
            });
        }

        this.mPurchaseMap = jsonObject.mPurchaseMap;
        if (this.mPurchaseMap !== undefined) {
            Object.keys(this.mPurchaseMap).map((key, index) => {
                let purchase = new Purchase(this.mPurchaseMap[key]);
                this.mPurchaseMap[key] = purchase;
            });
        }

    }


    get SkuMap() {
        return this.mSkuMap;
    }

    get PurchaseMap() {
        return this.mPurchaseMap;
    }

    toString() {

    }

}

module.exports = Inventory;