class SkuDetails {

    constructor(jsonObject) {
        if (jsonObject !== null) {
            this.mItemType = jsonObject.mItemType;
            this.mSku = jsonObject.mSku;
            this.mType = jsonObject.mType;
            this.mPrice = jsonObject.mPrice;
            this.mPriceAmountMicros = jsonObject.mPriceAmountMicros;
            this.mPriceCurrencyCode = jsonObject.mPriceCurrencyCode;
            this.mTitle = jsonObject.mTitle;
            this.mDescription = jsonObject.mDescription;
            this.mJson = jsonObject.mJson;
        }
    }


    get ItemType() {
        return this.mItemType;
    }

    get Sku() {
        return this.mSku;
    }

    get Type() {
        return this.mType;
    }

    get Price() {
        return this.mPrice;
    }

    get PriceAmountMicros() {
        return this.mPriceAmountMicros;
    }

    get PriceCurrencyCode() {
        return this.mPriceCurrencyCode;
    }

    get Title() {
        return this.mTitle;
    }

    get Description() {
        return this.mDescription;
    }

    get Json() {
        return this.mJson;
    }

    toString() {
        return "SkuDetails:" + this.mJson;
    }

}


module.exports = SkuDetails;